Skip to content
developers

Retrieve host processor configuration

Browse API reference

GET/processing-terminals/{processingTerminalId}/host-configurationsgetProcessingTerminalHostConfiguration

Use this method to retrieve the host processor configuration of a processing terminal. Integrate with this method only if you use your own gateway and want to validate the processor configuration.

Our gateway returns the configuration settings for the merchant and the payment terminal.

Parameters

NameInTypeDescription
processingTerminalIdRequiredpathstring

Unique identifier that we assigned to the terminal.

Responses

Successful request. Returns the host configuration of the processing terminal.

200 OK · application/json
{
  "configuration": {
    "merchant": {
      "abaNumber": "967854108",
      "agentBankNumber": "000001",
      "binNumber": "888888",
      "chainNumber": "222222",
      "locationNumber": "000001",
      "posMid": "123456789101",
      "reimbursementAttribute": "Z",
      "settlementAgent": "0001"
    },
    "processor": "tsys",
    "terminal": {
      "authenticationCode": "A1B2C3",
      "cardPresentAllowed": true,
      "internetAllowed": true,
      "motoAllowed": false,
      "sharingGroups": "3E7HULY8NQWZG",
      "terminalId": "V500000",
      "terminalNumber": "1111"
    }
  },
  "processingAccountId": "23451",
  "processingTerminalId": "0123451001"
}
Response schema · 22 fields
  • configurationobjectrequired
    Polymorphic object that contains the host processor configuration.
    • option 1object
      • merchantobjectrequired
        Object that contains the configuration settings for the merchant.
        • abaNumberstring
          Number that identifies the merchant in direct debit requests.≤ 12 chars
        • agentBankNumberstring
          Number of the merchant's bank if it processes transactions on behalf of another entity.≤ 6 chars
        • binNumberstringrequired
          Unique identifier of the merchant's bank.≤ 6 chars
        • chainNumberstringrequired
          Number that represents the merchant's chain of locations or stores.≤ 6 chars
        • locationNumberstring
          Location of the merchant's information.≤ 6 chars
        • posMidstringrequired
          Unique identifier that the host processor assigned to the merchant.≤ 12 chars
        • reimbursementAttributestring
          Indicates if the merchant can accept interlink debit cards.≤ 1 chars
        • settlementAgentstring
          Unique identifier of the merchant's settlement agent.≤ 4 chars
      • processorstringrequired
        Name of the host processor.≤ 50 charstsys
      • terminalobjectrequired
        Object that contains the configuration settings for the terminal.
        • authenticationCodestring
          Authenticates the terminal's identity with the host processor.6–10 chars
        • cardPresentAllowedboolean
          Indicates if the terminal can run card present transactions.
        • internetAllowedboolean
          Indicates if the terminal can run e-Commerce transactions.
        • motoAllowedboolean
          Indicates if the terminal can run Mail Order/Telephone Order (MOTO) transactions.
        • sharingGroupsstring
          Indicates the direct debit networks and EBT networks that the terminal can use.≤ 26 chars
        • terminalIdstringrequired
          Unique identifier that the host processor assigned to the terminal.≤ 8 chars
        • terminalNumberstringrequired
          Unique identifier of the terminal at the merchant's site.≤ 4 chars
  • processingAccountIdstring
    Unique identifier that we assigned to the processing account.
  • processingTerminalIdstringrequired
    Unique identifier that our gateway assigned to the terminal.

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer